CoCoA-5 - Support #940

Check all fns in packages work even without BackwardCompatible.cpkg5
10 Oct 2016 20:55 - John Abbott

Status: Closed Start date: 10 Oct 2016
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: enhancing/improving Estimated time: 0.00 hour
Target version: CoCoA-5.2.2 Spent time: 1.90 hour
Description

Even though (we hope that) all the packages are destined to migrate to CoCoALib, it is probably worth keeping them reasonably
"clean". In this case | mean that they should use the "modern" CoCoA-5 function names rather than the ones from
BackwardCompatible.cpkg5. This should also help make the migration quicker and less painful.

Related issues:

Related to CoCoA-5 - Design #868: Der, Bin: why the capital letter? Closed 17 Apr 2016
Related to CoCoA-5 - Design #939: Rename Fact to factorial? Closed 10 Oct 2016
Related to CoCoA-5 - Support #941: Improve coverage of CoCoA-5 tests New 10 Oct 2016
Related to CoCoA-5 - Design #491: Cleaning: Cruft in CoCoA-5 packages In Progress 22 Mar 2014
History

#1 - 10 Oct 2016 21:04 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

| have already make a first pass at cleaning up the packages, but there is still more to do.
The CoCoA-5 tests are very far from ensuring 100% code coverage -- I'll add this as a new issue.

In some cases | was not sure what the correct modernization would be (e.g. several packages call a function called Poly; there were other examples
too, | believe).

Some packages define "local" functions whose names are the same as those of "global" functions (e.g. in the latex package there are functions called
Poly, Mat, List and Ideal). This is rather confusing; some other functions have names like Latex_term and Latex_indet which makes it clearer that
they are local. For matrices the fn seems to call Latex but | do not know where that is defined (shouldn't it be either latex or LaTeX?)

#2 - 10 Oct 2016 21:04 - John Abbott
- Related to Design #868: Der, Bin: why the capital letter? added

#3 - 10 Oct 2016 21:04 - John Abbott
- Related to Design #939: Rename Fact to factorial? added

#4 - 10 Oct 2016 21:09 - John Abbott
- Related to Support #941: Improve coverage of CoCoA-5 tests added

#5 - 10 Oct 2016 21:13 - John Abbott

There is quite a lot of "cruft" in the packages: either commented out code or code which | suspect can never be called. | have been inconsistent in
"modernizing" the cruft (since | hope practically all of it will soon be eliminated).
#6 - 13 Oct 2016 13:09 - John Abbott
- Related to Design #491: Cleaning: Cruft in CoCoA-5 packages added

#7 - 15 Nov 2017 17:39 - John Abbott

- Status changed from In Progress to Closed
- Assignee set to John Abbott

- % Done changed from 10 to 100

I have just run the CoCoA-5 tests with BackwardCompatible.cpkg5 moved to different place. All tests passed.
Yes, 100% coverage would be nice, but we cannot afford to do it...

Closing.

#8 - 02 Dec 2017 10:07 - Anna Maria Bigatti
- Target version changed from CoCoA-5.?.7 to CoCoA-5.2.4

#9 - 04 Dec 2017 11:16 - Anna Maria Bigatti
- Target version changed from CoCoA-5.2.4 to CoCoA-5.2.2

25 Apr 2024 22


http://www.tcpdf.org

